<cfset m = createobject("component", "MessageHandler").init() />
<cfoutput>
	<table>
		<tr>
			<td>Message Count</td>
			<td>#m.getCount()#</td>
		</tr>
		<cfset m.addError("Disk is Full") />
		<tr>
			<td>Add Error</td>
			<td>Disk is Full</td>
		</tr>
		<cfset m.addInfo("Your Friend Signed On") />
		<tr>
			<td>Add Info</td>
			<td>Your Friend Signed On</td>
		</tr>
		<cfset m.addSuccess("You Won The Prize!") />
		<tr>
			<td>Add Success</td>
			<td>You Won The Prize!</td>
		</tr>
		<tr>
			<td>Message Count</td>
			<td>#m.getCount()#</td>
		</tr>		
	</table>

<cfif m.getCount() gt 0>
<cfset MSGQuery = m.getAllMessages() />
	<div id="highlightnews">
		<ul>
			<cfloop query="MSGQuery">
				<li class="#MSGQuery.Type#Message">#MSGQuery.Message#</li>
			</cfloop>	
		</ul>
	</div>
</cfif>
</cfoutput>
<style>
	#highlightnews UL{
		float:none; position:relative; display:block; 
		width:100%; margin:0em; padding:0em;
		font-weight:700;}
	#highlightnews UL LI {float:none; margin:0em; color:#000; width:90%;  margin: 10px 10px 0 25px; border-bottom: 1px solid #ddd}	
	#highlightnews UL LI.ErrorMessage{ list-style-image: url(error.png);}
	#highlightnews UL LI.InfoMessage{list-style-image: url(message.png); }
	#highlightnews UL LI.SuccessMessage{list-style-image: url(success.png); }
</style>


