<cfset errorText = "" />
<cfif Not Len(form.firstName)>
	<cfset errorText = ListAppend(errorText, "Please enter your first name")>
<cfelseif Len(form.firstName) GT 50>
	<cfset errorText = ListAppend(errorText, "Please only use 50 characters to enter your first name")>
</cfif>
<cfif Not Len(form.lastName)>
	<cfset errorText = ListAppend(errorText, "Please enter your last name")>
<cfelseif Len(form.lastName) GT 50>
	<cfset errorText = ListAppend(errorText, "Please only use 50 characters to enter your last name")>
</cfif>
<cfif Not Len(form.churchorg)>
	<cfset errorText = ListAppend(errorText, "Please enter your church name")>
<cfelseif Len(form.churchorg) GT 100>
	<cfset errorText = ListAppend(errorText, "Please only use 100 characters to enter your church name")>	
</cfif>
<cfif Not Len("#form.address1##form.address2#")>
	<cfset errorText = ListAppend(errorText, "Please enter your street address")>
</cfif>
<cfif Len(form.address1) GT 50>
	<cfset errorText = ListAppend(errorText, "Please only use 50 characters to enter the first line of your address")>	
</cfif>
<cfif Len(form.address2) GT 50>
	<cfset errorText = ListAppend(errorText, "Please only use 50 characters to enter the first line of your address")>	
</cfif>
<cfif Not Len(form.city)>
	<cfset errorText = ListAppend(errorText, "Please enter your city")>
<cfelseif Len(form.city) GT 50>
	<cfset errorText = ListAppend(errorText, "Please only use 50 characters to enter your city")>
</cfif>
<cfif Not Len(form.state)>
	<cfset errorText = ListAppend(errorText, "Please enter your state")>
<cfelseif Len(form.state) GT 5>
	<cfset errorText = ListAppend(errorText, "Please only use 5 characters to enter your state")>	
</cfif>
<cfif Not Len(form.zip)>
	<cfset errorText = ListAppend(errorText, "Please enter your zip code")>
<cfelseif Len(form.zip) GT 10>
	<cfset errorText = ListAppend(errorText, "Please only use 10 characters to enter your zip")>		
</cfif>
<cfif Not Len(form.phone)>
	<cfset errorText = ListAppend(errorText, "Please enter your phone number")>
<cfelseif Len(form.phone) GT 20>
	<cfset errorText = ListAppend(errorText, "Please only use 20 characters to enter your phone")>		
</cfif>
<cfif Len(form.fax) GT 20>
	<cfset errorText = ListAppend(errorText, "Please only use 20 characters to enter your fax")>		
</cfif>	
<cfif Not Len(form.email)>
	<cfset errorText = ListAppend(errorText, "Please enter your email address")>
<cfelseif Len(form.email) GT 100>
	<cfset errorText = ListAppend(errorText, "Please only use 100 characters to enter your email")>		
</cfif>
<cfif Not IsDefined("form.userID")>
	<cfif Not Len(form.password) Or Not Len(form.password2)>
		<cfset errorText = ListAppend(errorText, "Please enter your password and confirmation password")>
	</cfif>
	<cfif form.password NEQ form.password2>
		<cfset errorText = ListAppend(errorText, "Your password and confirmation password did not match")>
	</cfif>
</cfif>
<cfif Len(form.password) GT 10>
	<cfset errorText = ListAppend(errorText, "Please only use 10 characters to enter your password")>		
</cfif>	

